Invite or update a user
curl --request POST \
--url https://api.factory.ai/api/v0/organization/users/invite \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"email": "jsmith@example.com",
"role": "user"
}
'import requests
url = "https://api.factory.ai/api/v0/organization/users/invite"
payload = {
"email": "jsmith@example.com",
"role": "user"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({email: 'jsmith@example.com', role: 'user'})
};
fetch('https://api.factory.ai/api/v0/organization/users/invite', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"email": "jsmith@example.com",
"error": "<string>"
}{
"detail": "<string>",
"status": 123,
"title": "<string>",
"metadata": {}
}{
"detail": "<string>",
"status": 123,
"title": "<string>",
"metadata": {}
}{
"detail": "<string>",
"status": 123,
"title": "<string>",
"metadata": {}
}{
"detail": "<string>",
"status": 123,
"title": "<string>",
"metadata": {}
}{
"detail": "<string>",
"status": 123,
"title": "<string>",
"metadata": {}
}Organization
Invite or update a user
Sends an invitation to a user to join the organization. If the user is already a member, updates their role to the specified value. If the user has a pending invite, returns the current status without changes. If the organization has reached its seat limit, returns status “error” with a descriptive error message.
POST
/
api
/
v0
/
organization
/
users
/
invite
Invite or update a user
Authorizations
Factory API key or JWT token for authentication
Body
application/json
Response
Response for status 200
Invited email address
Assigned role
Available options:
user, manager, owner Result of the invite operation
Available options:
invited, already_member, role_updated, already_invited, error Error message if status is error
⌘I
